%global gem_name database_cleaner

Summary: Strategies for cleaning databases
Name: rubygem-%{gem_name}
Version: 0.6.6
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/bmabey/database_cleaner
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem

# Prepare for future, use RSpec 2
Patch0: RSpec-2.x-compatibility.patch
# ERB should be required explicitely
# https://github.com/bmabey/database_cleaner/issues/54
Patch1: Explicitly-require-ERB.patch

Requires: ruby(rubygems)
Requires: ruby(abi) = 1.9.1
BuildRequires: rubygems-devel
# Use rspec-core until rspec are not migrated to RSpec 2.x
BuildRequires: rubygem(rspec-core)
BuildRequires: rubygem(activerecord)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
The original use case was to ensure a clean state during tests. Each strategy
is a small amount of code but is code that is usually needed in any ruby app
that is testing with a database

%package	doc
Summary:        Documentation for %{gem_name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains documentation for %{gem_name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force --rdoc %{SOURCE0}

pushd .%{gem_instdir}
%patch0 -p1
%patch1 -p1
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
chmod -x %{buildroot}%{gem_libdir}/database_cleaner/active_record/truncation.rb
chmod -x %{buildroot}%{gem_instdir}/examples/Gemfile

%check
pushd .%{gem_instdir}

# Bundler just complicates everything in our case, remove it.
sed -i -e 's|require "bundler"||' spec/spec_helper.rb
sed -i -e 's|Bundler.setup||' spec/spec_helper.rb
rm spec/spec.opts

# ActiveRecord is the only available ORM in F15.
rspec spec/database_cleaner/generic/ spec/database_cleaner/active_record
popd

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/LICENSE
%{gem_instdir}/README.textile
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-, root, root, -)
%{gem_docdir}
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/TODO
%{gem_instdir}/examples
%{gem_instdir}/spec
%{gem_instdir}/features
%{gem_instdir}/History.txt
%{gem_instdir}/*.yml
%{gem_instdir}/Rakefile

%changelog
* Wed Feb 01 2012 Vít Ondruch <vondruch@redhat.com> - 0.6.6-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.6-2
- Fixed -doc subpackage dependency.

* Mon Mar 21 2011 Vít Ondruch <vondruch@redhat.com> - 0.6.6-1
- Updated upstream version.

* Mon Mar 21 2011 Vít Ondruch <vondruch@redhat.com> - 0.5.2-2
- Added tests.

* Wed Oct 06 2010 Jozef Zigmund <jzigmund@redhat.com> - 0.5.2-1
- Initial package
